# class IAXFrameOut | This class holds an outgoing IAX full frame. More...
Full name | `TelEngine::IAXFrameOut`
Definition | `#include <libs/yiax/yateiax.h>`
Inherits | TelEngine::IAXFullFrame [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline IAXFrameOut (Type type, u_int32_t subclass, u_int16_t sCallNo, u_int16_t dCallNo, unsigned char oSeqNo, unsigned char iSeqNo, u_int32_t tStamp, const unsigned char* buf, unsigned int len, u_int16_t retransCount, u_int32_t retransIntervalMs, bool ackOnly, bool mark = false)
- inline IAXFrameOut (Type type, u_int32_t subclass, u_int16_t sCallNo, u_int16_t dCallNo, unsigned char oSeqNo, unsigned char iSeqNo, u_int32_t tStamp, IAXIEList* ieList, u_int16_t maxlen, u_int16_t retransCount, u_int32_t retransIntervalMs, bool ackOnly, bool mark = false)
- virtual ~IAXFrameOut ()
- inline unsigned int retransCount () const
- inline bool timeForRetrans (u_int64_t time) const
- inline void setRetrans ()
- inline void transmitted ()
- inline bool ack () const
- inline void setAck ()
- inline bool ackOnly () const
- inline bool canSetTimeout ()
- inline void setTimeout (u_int64_t tout)

## Detailed Description

This class holds all data needded to manage an outgoing IAX full frame

inline IAXFrameOut (Type type, u_int32_t subclass, u_int16_t sCallNo, u_int16_t dCallNo, unsigned char oSeqNo, unsigned char iSeqNo, u_int32_t tStamp, const unsigned char* buf, unsigned int len, u_int16_t retransCount, u_int32_t retransIntervalMs, bool ackOnly, bool mark = false) | ### IAXFrameOut

Constructor. Constructs an outgoing full frame

Parameters:

type | Frame type
subclass | Frame subclass
sCallNo | Source (remote) call number
dCallNo | Destination (local) call number
oSeqNo | Outgoing sequence number
iSeqNo | Incoming (expected) sequence number
tStamp | Frame timestamp
buf | IE buffer
len | IE buffer length
retransCount | Retransmission counter
retransIntervalMs | Time interval to the next retransmission
ackOnly | Acknoledge only flag. If true, the frame only expects an ACK
mark | Mark flag

inline IAXFrameOut (Type type, u_int32_t subclass, u_int16_t sCallNo, u_int16_t dCallNo, unsigned char oSeqNo, unsigned char iSeqNo, u_int32_t tStamp, IAXIEList* ieList, u_int16_t maxlen, u_int16_t retransCount, u_int32_t retransIntervalMs, bool ackOnly, bool mark = false) | ### IAXFrameOut

Constructor. Constructs an outgoing full frame

Parameters:

type | Frame type
subclass | Frame subclass
sCallNo | Source (remote) call number
dCallNo | Destination (local) call number
oSeqNo | Outgoing sequence number
iSeqNo | Incoming (expected) sequence number
tStamp | Frame timestamp
ieList | List of frame IEs
maxlen | Max frame data length
retransCount | Retransmission counter
retransIntervalMs | Time interval to the next retransmission
ackOnly | Acknoledge only flag. If true, the frame only expects an ACK
mark | Mark flag

~IAXFrameOut () | ### ~IAXFrameOut

[virtual]

Destructor

inline unsigned int retransCount () | ### retransCount

[const]

Get the retransmission counter of this frame

Returns: The retransmission counter is 0

inline bool timeForRetrans (u_int64_t time) | ### timeForRetrans

[const]

Ask the frame if it's time for retransmit

Parameters:

time | Current time

Returns: True if it's time to retransmit

inline void setRetrans () | ### setRetrans

Set the retransmission flag of this frame

inline void transmitted () | ### transmitted

Update the retransmission counter and the time to next retransmission

inline bool ack () | ### ack

[const]

Get the acknoledged flag of this frame

Returns: The acknoledged flag of this frame

inline void setAck () | ### setAck

Set the acknoledged flag of this frame

inline bool ackOnly () | ### ackOnly

[const]

Get the acknoledge only flag of this frame

Returns: The acknoledge only flag of this frame

inline bool canSetTimeout () | ### canSetTimeout

Check if absolute timeout can be set

Returns: True if absolute timeout can be set

inline void setTimeout (u_int64_t tout) | ### setTimeout

Set absolute timeout. Reset retransmission counter

Parameters:

tout | Timeout time

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.